org.apache.hc.client5.http.cookie

## Class StandardCookieSpec

- java.lang.Object
- - org.apache.hc.client5.http.cookie.StandardCookieSpec

    public final class StandardCookieSpec
    extends Object

Cookie specifications by their names supported by the HttpClient.

Since:
  4.3

### Field Summary

Fields
`static String` `IGNORE` The policy that ignores cookies.
`static String` `RELAXED` The RFC 6265 compliant policy (interoprability profile).
`static String` `STRICT` The RFC 6265 compliant policy (strict profile).

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RELAXED

    public static final String RELAXED

The RFC 6265 compliant policy (interoprability profile).

See Also:
  Constant Field Values

#### STRICT

    public static final String STRICT

The RFC 6265 compliant policy (strict profile).

Since:
  4.4
See Also:
  Constant Field Values

#### IGNORE

    public static final String IGNORE

The policy that ignores cookies.

See Also:
  Constant Field Values